package com.cultural.heritage.model.dto.snapshot;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "订单商品信息", requiredProperties = {"name", "type", "price", "goodImg", "festivalOrder", "reserveDate"})
public class GoodSnapshot implements Serializable {


    /**
     * 商品名
     */
    @Schema(description = "商品名", example = "团扇")
    private String name;

    /**
     * 商品类型
     */
    @Schema(description = "商品类型", example = "材料包")
    private String type;

    /**
     * 商品价格
     */
    @Schema(description = "商品价格", example = "200.00")
    private Double price;

    /**
     * 商品图片
     */
    @Schema(description = "商品图片地址", example = "https://xxx/xxx.jpg")
    private String goodImg;


    /**
     * 节日限定序号
     */
    @Schema(description = "节日序号(1代表端午节，2代表中秋节...)", example = "2")
    private Integer festivalOrder;

    /**
     * 预约日期
     */
    @Schema(description = "预约日期(用户服务类，如果是商品类值为NOT_RESERVE)", example = "2024-11-22;9:00-11:00")
    private String reserveDate;


    @Serial
    private static final long serialVersionUID = 1L;
}
